# PFAM
[SAMPLE]
accession java.lang.String IPR000008

[TEST_DATUM]
mapk_phosph

[CORE]
FIELD_ANNOTATION     SELECT name FROM INTERPRO__DATA WHERE CONCAT('IPR',LPAD(id,6,'0'))='@FIELD_ACCESSION@'
FIELD_TYPE           SELECT type FROM INTERPRO__DATA WHERE CONCAT('IPR',LPAD(id,6,'0'))='@FIELD_ACCESSION@'
FIELD_PROTEIN_COUNT  SELECT count FROM INTERPRO__DATA WHERE CONCAT('IPR',LPAD(id,6,'0'))='@FIELD_ACCESSION@'
FIELD_CLASSIFICATION SELECT CONCAT(category,':',description) AS FIELD_CLASSIFICATION FROM INTERPRO__DATA__$CLASSIFICATION WHERE CONCAT('IPR',LPAD(AK_INTERPRO__DATA__id,6,'0'))='@FIELD_ACCESSION@' ORDER BY FIELD_CLASSIFICATION ASC

[LINKAGE_TO]
LINK_GO        SELECT TRIM(LEADING 0 FROM SUBSTRING(FKDest__value,4,7)) AS DESTINATION FROM INTERPRO__DATA__LINKAGES$GO WHERE CONCAT('IPR',LPAD(FKSrc__value,6,'0'))='@FIELD_ACCESSION@' ORDER BY DESTINATION ASC
LINK_MEDLINE   SELECT FKDest__value FROM INTERPRO__DATA__LINKAGES$MEDLINE WHERE CONCAT('IPR',LPAD(FKSrc__value,6,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_PFAM      SELECT FKDest__value FROM INTERPRO__DATA__LINKAGES$PFAM WHERE CONCAT('IPR',LPAD(FKSrc__value,6,'0'))='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC
LINK_SWISSPROT SELECT AK_SWISSPROT__DATA__id FROM INTERPRO__DATA__LINKAGES$SWISSPROT, SWISSPROT__DATA__$ACCESSIONS WHERE FKDest__value=accession AND CONCAT('IPR',LPAD(FKSrc__value,6,'0'))='@FIELD_ACCESSION@' ORDER BY AK_SWISSPROT__DATA__id ASC
LINK_TREMBL    SELECT FKDest__value FROM INTERPRO__DATA__LINKAGES$TREMBL WHERE CONCAT('IPR',LPAD(FKSrc__value,6,'0'))='@FIELD_ACCESSION@' ORDER BY FKSrc__value ASC

[LINKAGE_FROM]
LINK_GO        SELECT CONCAT('IPR',LPAD(FKSrc__value,6,'0')) AS FIELD_ACCESSION FROM INTERPRO__DATA__LINKAGES$GO WHERE FKDest__value=CONCAT('GO:',LPAD('@FIELD_ACCESSION@',7,0)) ORDER BY FIELD_ACCESSION ASC
LINK_MEDLINE   SELECT CONCAT('IPR',LPAD(FKSrc__value,6,'0')) AS FIELD_ACCESSION FROM INTERPRO__DATA__LINKAGES$MEDLINE WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_PFAM      SELECT CONCAT('IPR',LPAD(FKSrc__value,6,'0')) AS FIELD_ACCESSION FROM INTERPRO__DATA__LINKAGES$PFAM WHERE FKDest__value='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_SWISSPROT SELECT CONCAT('IPR',LPAD(FKSrc__value,6,'0')) AS FIELD_ACCESSION FROM INTERPRO__DATA__LINKAGES$SWISSPROT, SWISSPROT__DATA__$ACCESSIONS WHERE FKDest__value=accession AND AK_SWISSPROT__DATA__id='@FIELD_ACCESSION@' ORDER BY FIELD_ACCESSION ASC
LINK_TREMBL    SELECT CONCAT('IPR',LPAD(FKSrc__value,6,'0')) FROM INTERPRO__DATA__LINKAGES$TREMBL WHERE FKDest__value='@FIELD_ACCESSION@'

[KEYWORD]
FIELD_ACCESSION      SELECT CONCAT('IPR',LPAD(id,6,'0')) FROM INTERPRO__DATA WHERE %CONCAT('IPR',LPAD(id,6,'0'))% LIKE '@keyword@'
FIELD_ANNOTATION     SELECT CONCAT('IPR',LPAD(id,6,'0')) FROM INTERPRO__DATA WHERE %name% LIKE '@keyword@'
FIELD_TYPE           SELECT CONCAT('IPR',LPAD(id,6,'0')) FROM INTERPRO__DATA WHERE %type% LIKE '@keyword@'
FIELD_CLASSIFICATION SELECT DISTINCT CONCAT('IPR',LPAD(AK_INTERPRO__DATA__id,6,'0')) FROM INTERPRO__DATA__$CLASSIFICATION WHERE %category% LIKE '@keyword@' OR %description% LIKE '@keyword@'
